SDL_SetLinuxThreadPriorityAndPolicy(3)

NAME
SDL_SetLinuxThreadPriorityAndPolicy - Sets the priority (not nice level) and scheduling policy for a thread.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetLinuxThreadPriorityAndPolicy(Sint64 threadID, int sdlPriority, int schedPolicy);

DESCRIPTION
This uses setpriority() if possible, and RealtimeKit if available.

FUNCTION PARAMETERS

threadID
    the Unix thread ID to change priority of.

sdlPriority
    the new SDL_ThreadPriority
     value.

schedPolicy
    the new scheduling policy (SCHED_FIFO, SCHED_RR, SCHED_OTHER, etc...).

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.